<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */

						// Widgets area inside page content
						rumble_create_widgets_area( 'widgets_below_content' );
						?>
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					$rumble_body_style = rumble_get_theme_option( 'body_style' );
					if ( 'fullscreen' != $rumble_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}

					// Widgets area below page content and related posts below page content
					$rumble_widgets_name = rumble_get_theme_option( 'widgets_below_page' );
					$rumble_show_widgets = ! rumble_is_off( $rumble_widgets_name ) && is_active_sidebar( $rumble_widgets_name );
					$rumble_show_related = is_single() && rumble_get_theme_option( 'related_position' ) == 'below_page';
					if ( $rumble_show_widgets || $rumble_show_related ) {
						if ( 'fullscreen' != $rumble_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $rumble_show_related ) {
							do_action( 'rumble_action_related_posts' );
						}

						// Widgets area below page content
						if ( $rumble_show_widgets ) {
							rumble_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $rumble_body_style ) {
							?>
							</div><!-- </.content_wrap> -->
							<?php
						}
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Single posts banner before footer
			if ( is_singular( 'post' ) ) {
				rumble_show_post_banner('footer');
			}
			// Footer
			$rumble_footer_type = rumble_get_theme_option( 'footer_type' );
			if ( 'custom' == $rumble_footer_type && ! rumble_is_layouts_available() ) {
				$rumble_footer_type = 'default';
			}
			get_template_part( apply_filters( 'rumble_filter_get_template_part', "templates/footer-{$rumble_footer_type}" ) );
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php wp_footer(); ?>

</body>
</html>