<div class="front_page_section front_page_section_subscribe<?php
	$rumble_scheme = rumble_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! rumble_is_inherit( $rumble_scheme ) ) {
		echo ' scheme_' . esc_attr( $rumble_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( rumble_get_theme_option( 'front_page_subscribe_paddings' ) );
?>"
		<?php
		$rumble_css      = '';
		$rumble_bg_image = rumble_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $rumble_bg_image ) ) {
			$rumble_css .= 'background-image: url(' . esc_url( rumble_get_attachment_url( $rumble_bg_image ) ) . ');';
		}
		if ( ! empty( $rumble_css ) ) {
			echo ' style="' . esc_attr( $rumble_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$rumble_anchor_icon = rumble_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$rumble_anchor_text = rumble_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $rumble_anchor_icon ) || ! empty( $rumble_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $rumble_anchor_icon ) ? ' icon="' . esc_attr( $rumble_anchor_icon ) . '"' : '' )
									. ( ! empty( $rumble_anchor_text ) ? ' title="' . esc_attr( $rumble_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( rumble_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' rumble-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$rumble_css      = '';
			$rumble_bg_mask  = rumble_get_theme_option( 'front_page_subscribe_bg_mask' );
			$rumble_bg_color_type = rumble_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $rumble_bg_color_type ) {
				$rumble_bg_color = rumble_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $rumble_bg_color_type ) {
				$rumble_bg_color = rumble_get_scheme_color( 'bg_color', $rumble_scheme );
			} else {
				$rumble_bg_color = '';
			}
			if ( ! empty( $rumble_bg_color ) && $rumble_bg_mask > 0 ) {
				$rumble_css .= 'background-color: ' . esc_attr(
					1 == $rumble_bg_mask ? $rumble_bg_color : rumble_hex2rgba( $rumble_bg_color, $rumble_bg_mask )
				) . ';';
			}
			if ( ! empty( $rumble_css ) ) {
				echo ' style="' . esc_attr( $rumble_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$rumble_caption = rumble_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $rumble_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $rumble_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $rumble_caption, 'rumble_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$rumble_description = rumble_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $rumble_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $rumble_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $rumble_description ), 'rumble_kses_content' ); ?></div>
				<?php
			}

			// Content
			$rumble_sc = rumble_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $rumble_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $rumble_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					rumble_show_layout( do_shortcode( $rumble_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
