<div class="front_page_section front_page_section_woocommerce<?php
	$rumble_scheme = rumble_get_theme_option( 'front_page_woocommerce_scheme' );
	if ( ! rumble_is_inherit( $rumble_scheme ) ) {
		echo ' scheme_' . esc_attr( $rumble_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( rumble_get_theme_option( 'front_page_woocommerce_paddings' ) );
?>"
		<?php
		$rumble_css      = '';
		$rumble_bg_image = rumble_get_theme_option( 'front_page_woocommerce_bg_image' );
		if ( ! empty( $rumble_bg_image ) ) {
			$rumble_css .= 'background-image: url(' . esc_url( rumble_get_attachment_url( $rumble_bg_image ) ) . ');';
		}
		if ( ! empty( $rumble_css ) ) {
			echo ' style="' . esc_attr( $rumble_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$rumble_anchor_icon = rumble_get_theme_option( 'front_page_woocommerce_anchor_icon' );
	$rumble_anchor_text = rumble_get_theme_option( 'front_page_woocommerce_anchor_text' );
if ( ( ! empty( $rumble_anchor_icon ) || ! empty( $rumble_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_woocommerce"'
									. ( ! empty( $rumble_anchor_icon ) ? ' icon="' . esc_attr( $rumble_anchor_icon ) . '"' : '' )
									. ( ! empty( $rumble_anchor_text ) ? ' title="' . esc_attr( $rumble_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner
	<?php
	if ( rumble_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
		echo ' rumble-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$rumble_css      = '';
			$rumble_bg_mask  = rumble_get_theme_option( 'front_page_woocommerce_bg_mask' );
			$rumble_bg_color_type = rumble_get_theme_option( 'front_page_woocommerce_bg_color_type' );
			if ( 'custom' == $rumble_bg_color_type ) {
				$rumble_bg_color = rumble_get_theme_option( 'front_page_woocommerce_bg_color' );
			} elseif ( 'scheme_bg_color' == $rumble_bg_color_type ) {
				$rumble_bg_color = rumble_get_scheme_color( 'bg_color', $rumble_scheme );
			} else {
				$rumble_bg_color = '';
			}
			if ( ! empty( $rumble_bg_color ) && $rumble_bg_mask > 0 ) {
				$rumble_css .= 'background-color: ' . esc_attr(
					1 == $rumble_bg_mask ? $rumble_bg_color : rumble_hex2rgba( $rumble_bg_color, $rumble_bg_mask )
				) . ';';
			}
			if ( ! empty( $rumble_css ) ) {
				echo ' style="' . esc_attr( $rumble_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$rumble_caption     = rumble_get_theme_option( 'front_page_woocommerce_caption' );
			$rumble_description = rumble_get_theme_option( 'front_page_woocommerce_description' );
			if ( ! empty( $rumble_caption ) || ! empty( $rumble_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $rumble_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $rumble_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $rumble_caption, 'rumble_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description (text)
				if ( ! empty( $rumble_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $rumble_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $rumble_description ), 'rumble_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
			<?php
				$rumble_woocommerce_sc = rumble_get_theme_option( 'front_page_woocommerce_products' );
			if ( 'products' == $rumble_woocommerce_sc ) {
				$rumble_woocommerce_sc_ids      = rumble_get_theme_option( 'front_page_woocommerce_products_per_page' );
				$rumble_woocommerce_sc_per_page = count( explode( ',', $rumble_woocommerce_sc_ids ) );
			} else {
				$rumble_woocommerce_sc_per_page = max( 1, (int) rumble_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
			}
				$rumble_woocommerce_sc_columns = max( 1, min( $rumble_woocommerce_sc_per_page, (int) rumble_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
				echo do_shortcode(
					"[{$rumble_woocommerce_sc}"
									. ( 'products' == $rumble_woocommerce_sc
											? ' ids="' . esc_attr( $rumble_woocommerce_sc_ids ) . '"'
											: '' )
									. ( 'product_category' == $rumble_woocommerce_sc
											? ' category="' . esc_attr( rumble_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
											: '' )
									. ( 'best_selling_products' != $rumble_woocommerce_sc
											? ' orderby="' . esc_attr( rumble_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
												. ' order="' . esc_attr( rumble_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
											: '' )
									. ' per_page="' . esc_attr( $rumble_woocommerce_sc_per_page ) . '"'
									. ' columns="' . esc_attr( $rumble_woocommerce_sc_columns ) . '"'
					. ']'
				);
				?>
			</div>
		</div>
	</div>
</div>
