<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('rumble_elegro_payment_theme_setup9')) {
    add_action('after_setup_theme', 'rumble_elegro_payment_theme_setup9', 9);
    function rumble_elegro_payment_theme_setup9()
    {

        if (is_admin()) {
            add_filter('rumble_filter_tgmpa_required_plugins', 'rumble_elegro_payment_tgmpa_required_plugins');
        }
    }
}

// Filter to add in the required plugins list
if (!function_exists('rumble_elegro_payment_tgmpa_required_plugins')) {
    
    function rumble_elegro_payment_tgmpa_required_plugins($list = array())
    {
        if (rumble_storage_isset('required_plugins', 'woocommerce') && rumble_storage_isset('required_plugins', 'elegro-payment') && rumble_storage_get_array('required_plugins', 'elegro-payment', 'install') !== false) {
            $list[] = array(
                'name' => rumble_storage_get_array('required_plugins', 'elegro-payment', 'title'),
                'slug' => 'elegro-payment',
                'required' => false,
            );
        }
        return $list;
    }
}