<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
if ( ! rumble_is_inherit( rumble_get_theme_option( 'copyright_scheme' ) ) ) {
	echo ' scheme_' . esc_attr( rumble_get_theme_option( 'copyright_scheme' ) );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$rumble_copyright = rumble_get_theme_option( 'copyright' );
			if ( ! empty( $rumble_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$rumble_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $rumble_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$rumble_copyright = rumble_prepare_macros( $rumble_copyright );
				// Display copyright
				echo wp_kses( nl2br( $rumble_copyright ), 'rumble_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
