<?php
/**
 * The template 'Style 1' to displaying related posts
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0
 */

$rumble_link        = get_permalink();
$rumble_post_format = get_post_format();
$rumble_post_format = empty( $rumble_post_format ) ? 'standard' : str_replace( 'post-format-', '', $rumble_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $rumble_post_format ) ); ?>>
	<?php
	rumble_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'rumble_filter_related_thumb_size', rumble_get_thumb_size( (int) rumble_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'big' ) ),
			'show_no_image' => rumble_get_no_image() != '',
			'post_info'     => '<div class="post_header entry-header">'
									. '<div class="post_categories">' . wp_kses( rumble_get_post_categories( '' ), 'rumble_kses_content' ) . '</div>'
									. '<h6 class="post_title entry-title"><a href="' . esc_url( $rumble_link ) . '">' . wp_kses_data( get_the_title() ) . '</a></h6>'
									. ( in_array( get_post_type(), array( 'post', 'attachment' ) )
											? '<div class="post_meta"><a href="' . esc_url( $rumble_link ) . '" class="post_meta_item post_date">' . wp_kses_data( rumble_get_date() ) . '</a></div>'
											: '' )
								. '</div>',
		)
	);
	?>
</div>
