<?php
/**
 * The style "default" of the Widget "Example"
 *
 * @package WordPress
 * @subpackage BaseKit Addons
 * @since v1.0.0
 */

$args = get_query_var('trx_addons_args_widget_example');
extract($args);
		
// Before widget (defined by themes)
trx_addons_show_layout($before_widget);
			
// Widget title if one was input (before and after defined by themes)
trx_addons_show_layout($title, $before_title, $after_title);
	
// Widget body
if (!empty($avatar)) {
	?><div class="example_avatar"><?php trx_addons_show_layout($avatar); ?></div><?php
}
if (!empty($username) && $username!='#') {
	?><h5 class="example_username"><?php echo esc_html($username); ?></h5><?php
}
if (!empty($description) && $description!='#') {
	?><div class="example_description"><?php echo wpautop(trx_addons_strshort($description, 150)); ?></div><?php
}
	
// After widget (defined by themes)
trx_addons_show_layout($after_widget);
?>