<?php
/**
 * The template to display the socials in the footer
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.10
 */


// Socials
if ( rumble_is_on( rumble_get_theme_option( 'socials_in_footer' ) ) ) {
	$rumble_output = rumble_get_socials_links();
	if ( '' != $rumble_output ) {
		?>
		<div class="footer_socials_wrap socials_wrap">
			<div class="footer_socials_inner">
				<?php rumble_show_layout( $rumble_output ); ?>
			</div>
		</div>
		<?php
	}
}
