<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage RUMBLE
 * @since RUMBLE 1.0.14
 */
$rumble_header_video = rumble_get_header_video();
$rumble_embed_video  = '';
if ( ! empty( $rumble_header_video ) && ! rumble_is_from_uploads( $rumble_header_video ) ) {
	if ( rumble_is_youtube_url( $rumble_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $rumble_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php rumble_show_layout( rumble_get_embed_video( $rumble_header_video ) ); ?></div>
		<?php
	}
}
